Subject: bug#31624: 27.0; (elisp) `Syntax Flags'

From: Drew Adams <[email-masked]>
Date: Tue, 29 May 2018 06:55:21 -0700 (PDT)

> When neither flag 'b' nor flag 'c' is set, you have style "a".

If that's the definition of style a then the doc should state that.

> > And what about the relation between those "flags" and the "styles"?
> 
> When 'b' is set, you have style "b", when 'c' is set, you have style
> "c".  I think having both of them set is undefined (but it does leave
> room for a style "d" (shudder!)).
 
> > If a flag is an element in a set that is a style, why does the doc use
> > chars b and c to name both flags and styles - that just confuses
> > things.  If you want to relate style "b" to flag 'b' then maybe use
> > "B", not "b", as the style name.
> 
> I think that would be less confusing if something like my first sentence
> were in the doc somewhere.

Both changes are needed, I think.  It just confuses to use the
same name, with the only difference being single vs double quote
chars around it, for two different concepts/things.

> > (Yes, I realize that this text is very old - at least as old as Emacs
> > 20.  But it seems like it could/should be clearer.)
> 
> I though style "c" was somewhat younger.  Maybe not.  But maybe it could
> be clarified.

You're right - c is not in Emacs 20, for instance.